package com.chelvc.framework.security.context;

import java.util.Collections;
import javax.servlet.http.HttpServletRequest;

import com.chelvc.framework.base.context.DefaultSessionFactory;
import com.chelvc.framework.base.context.Session;
import com.chelvc.framework.base.context.SessionFactory;
import com.chelvc.framework.base.context.Using;
import lombok.NonNull;
import org.springframework.stereotype.Component;

/**
 * 认证会话工厂
 *
 * @author Woody
 * @date 2024/7/7
 */
@Component
public class AuthorizeSessionFactory extends DefaultSessionFactory implements SessionFactory {
    @Override
    public Session build(@NonNull HttpServletRequest request) {
        return Session.builder().using(Using.NORMAL).host(this.getHost(request))
                .device(this.getDevice(request)).channel(this.getChannel(request))
                .platform(this.getPlatform(request)).terminal(this.getTerminal(request))
                .version(this.getVersion(request)).timestamp(this.getTimestamp(request))
                .authorities(Collections.emptySet()).build();
    }
}
